package com.genlot.nativesdk.model;

import android.os.Parcel;
import android.os.Parcelable;

public class GameWinLevel implements Parcelable {
    public int mWinLevel;//奖等
    public String mWinLevelName;//奖等名称
    public int mWinSize;//中奖注数
    public double mWinBonus;//奖等奖金

    public static final Creator<GameWinLevel> CREATOR = new Creator<GameWinLevel>() {
        @Override
        public GameWinLevel createFromParcel(Parcel source) {
            GameWinLevel attr = new GameWinLevel();
            attr.mWinLevel = source.readInt();
            attr.mWinLevelName = source.readString();
            attr.mWinSize = source.readInt();
            attr.mWinBonus = source.readDouble();
            return attr;
        }

        @Override
        public GameWinLevel[] newArray(int size) {
            return new GameWinLevel[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int flags) {
        parcel.writeInt(mWinLevel);
        parcel.writeString(mWinLevelName);
        parcel.writeInt(mWinSize);
        parcel.writeDouble(mWinBonus);
    }
}
